.comment   To prepare this file for help purposes use
.comment   scope edit to load the following macro:
.comment
.comment     findnext eol backspace delword delword beginline ^D
.comment
.comment   **help**
.comment   then load a searchpattern of "**help**" and execute the
.comment   macro (ESC * ^E) for the whole file.

.comment   **help**  .include scdefs.rno

.rm rightmargin
.lm leftmargin
.ps papersize,64
.s 4
.i -5; Arrow Keys:
.f
.s 1
The arrow keys on a VT100 always operate in the same manner.  They are
always "enabled" ( as opposed to the keypad which can be
either enabled or disabled ).  Their functions are as
follows:
.s 1
.tp 7
.rm 80
.literal
          +------------+------------+------------+------------+
          !     ^      !     !      !            !            !
          !     !      !     !      !    <--     !    -->     !
          !     !      !     V      !            !            !
normal    ! cursor_up  !cursor_down !    left    !   right    !
gold      !  page_top  ! page_end   ! line start !  sentence  !
gold gold !page_restore! mark_page  !            !            !
          +------------+------------+------------+------------+
.end literal
.rm rightmargin
.s 2
.i -5; Keypad:
.s 1
'NORMAL' is when the key  is typed  without
typing  the PF1 'gold' key first. 'GOLD' is
is the action  taken when  the PF1  key  is
typed immediately preceeding the keypad key.
.s 2
.tp 26
.nf
.comment   **help**  .include keyhlp.rno
.include   keydoc.rno
.f
.comment   **help**  Gold keyboard functions:

.s 1
.comment   **help**  .br ; #######Gold A  set left margin

.comment   **help**  .br ; #######Gold D  save select range in paste buffer

.comment   **help**  .br ; ###############and then delete select range

.comment   **help**  .br ; #######Gold F  exit the editor

.comment   **help**  .br ; #######Gold G  insert disk file at current line

.comment   **help**  .br ; #######Gold L  Enter/Exit learn mode

.comment   **help**  .br ; #######Gold M  enter setup menu

.comment   **help**  .br ; #######Gold P  justify and fill current paragraph

.comment   **help**  .br ; #######Gold Q  que select range to printer

.comment   **help**  .br ; #######Gold R  reverse line

.comment   **help**  .br ; #######Gold S  dump entire file to input file name

.comment   **help**  .br ; ###############('save')

.comment   **help**  .br ; #######Gold T  insert current time and date

.comment   **help**  .br ; #######Gold U  erase (not delete) entire line

.comment   **help**  .br ; #######Gold V  Verify page markers

.comment   **help**  .br ; #######Gold W  dump current select range to a disk

.comment   **help**  .br ; ###############file

.s 4
.comment **help** .i -leftmargin; *CURSOR UP
.i -5; CURSOR UP ("UPARROW" KEY)
.s 1
Cursor#Up####- Moves the cursor up one line.
.s 2
.comment **help** .i -leftmargin; *PAGETOP
.i -5; PAGETOP (PF1 + "UPARROW")
.s 1
Hitting the 'GOLD' key and then the Uparrow key moves the
cursor to the top of the page.
.s 2
.comment **help** .i -leftmargin; *PAGERESTORE
.i -5; Page restore (PF1 PF1 Uparrow)
.s 1
By typing the GOLD key twice, followed then by the UPARROW key will
restore  the page marked previously with  GOLD GOLD DOWNARROW.  Any
'repeat' count in the  range  1 to 7  will select the corresponding
saved page mark, as in  GOLD 6 GOLD GOLD Up  would restore the page
and line saved by a previous GOLD 6 GOLD GOLD Down.
.s 2
.comment **help** .i -leftmargin; *CURSOR DOWN
.i -5; CURSOR DOWN ("DOWNARROW" KEY)
.s 1
Cursor#Down##- Moves the cursor down one line.
.s 2
.comment **help** .i -leftmargin; *PAGEEND
.i -5; PAGE END (PF1 + "DOWNARROW")
.s 1
Hitting the 'GOLD' key and then the Downarrow key moves the
cursor to the bottom of the current page.
.s 2
.comment **help** .i -leftmargin; *MARKPAGE
.i -5; Mark currentpage (PF1 PF1 Downarrow)
.s 1
Typing  the GOLD key twice followed  by the downarrow key will mark 
the current line to be later restored via GOLD GOLD Uparrow.  As in
Page_restore (GOLD GOLD UP), any active 'repeat' count (GOLD digit)
will select different markers from one to 7, as in GOLD 6 GOLD GOLD
DOWN. GOLD V (for View_markers) will display all the current marked
pages (and lines).  
.s 2
.comment **help** .i -leftmargin; *LEFT
.i -5; LEFT ("LEFTARROW" KEY)
.s 1
Cursor#Left##- Moves the cursor left by one character position.
.s 2
.comment **help** .i -leftmargin; *RIGHT
.i -5; RIGHT ("RIGHTARROW" KEY)
.s 1
Cursor#Right#- Moves the cursor right by one character
position.
.s 2
.i -5; SENTENCE (PF1 + "RIGHTARROW")
.s 1
If the Rightarrow key is pressed following the 'GOLD' key,
the cursor is moved forward through the file by sentences.
(A sentence is defined as a period followed by any non-alphanumeric
character.)
.s 2
.comment **help** .i -leftmargin; *NEXT LINE
.i -5; NEXT  LINE ("0")
.s 1
  Typing the '0' key when in keypad mode will cause a cursor to move
  to the start of the next line.
.s 2
.comment **help** .i -leftmargin; *BREAK LINE
.i -5; BREAK LINE (PF1 + "0")
.s 1
  The '0' key, when preceeded by the 'GOLD' key, causes a CR/LF to be
  inserted at the current cursor position.
.s 2
.comment **help** .i -leftmargin; *NEXTWORD
.i -5; NEXT WORD ("1")
.s 1
  The '1' key will move the cursor to the next word (see _^F).
.s 2
.comment **help** .i -leftmargin; *LASTWORD
.i -5; LSTWORD (PF1 + "1")
.s 1
  The '1' key, when preceeding by typing the 'PF1' key, will cause
  the cursor to move to the end of the previous word (see _^R).
.s 2
.comment **help** .i -leftmargin; *EOL
.i -5; EOL ("2")
.s 1
  The '2' key moves the cursor to the end of the current line.
.s 2
.comment **help** .i -leftmargin; *DELEOL
.i -5; DELEOL (PF1 + "2")
.s 1
  Deletes from cursor to the end of the line. Entered as  PF1 2.
  (GOLD 2)
.s 2
.comment **help** .i -leftmargin; *CUT
.i -5; CUT ("3")
.s 1
  The '3' key starts the marking of lines for saving in the  paste
  buffer. Lines are marked by then typing the down arrow key until
  the last line to be saved is passed. The '3' key  is then  typed
  again to actually save the lines.   The lines are then retrieved
  by typing the '6' key.
.s 2
.comment **help** .i -leftmargin; *CHCASE
.i -5; CHCASE (PF1 + "3")
.s 1
  Typing GOLD and then the 3  key causes all upper case characters
  to be changed to lower case  characters when the  'WORD  (1)' or
  'EOL  (2)' keypad keys are typed. Only those characters  skipped
  by the command (EOL or WORD) will be affected.  CHCASE mode  can
  be turned off ONLY by typed GOLD and '3' again, thus  CHCASE  is
  toggled.
.s 2
.comment **help** .i -leftmargin; *BOTTOM
.i -5; BOTTOM ("4")
.s 1
  The '4' key causes a movement to the end of the file.
.s 2
.comment **help** .i -leftmargin; *FILL
.i -5; FILL (PF1 + "4")
.s 1
Typing GOLD and then the 4 key will cause the text on the current line
to be expanded with spaces out to the current fill margin (see /FILL:N).
The fill margin defaults to 72, and can be changed by typing _^V and
then, after the 'SET_>' prompt, the string FILL:value , where 'value'
is the decimal value for the new fill margin.
.comment **help** .i -leftmargin; *TOP
.i -5; TOP ("5")
.s 1
  The '5' key is top of file (line 1).
.s 2
.comment **help** .i -leftmargin; *CENTER
.i -5; CENTER (PF1 + "5")
.s 1
  The '5' key, when typed immediately after the PF1 key is typed,
  centers the current line based upon the current fill (see
  GOLD M or Control V). The center line should not contain
  embedded tabs.
.s 2
.comment **help** .i -leftmargin; *PASTE
.i -5; PASTE ("6")
.s 1
  The '6' key inserts text saved by the 'cut (3)' key.
.s 2
.comment **help** .i -leftmargin; *ZAPSEL
.i -5; ZAPSEL (PF1 + "6")
.s 1
  The '6' key, when typed immediately after the PF1 key is typed,
  erases the contents of the paste buffer.
.s 2
.comment **help** .i -leftmargin; *FINDLAST
.i -5; FINDLAST ("7")
.s 1
  The  '7' key is  used to  locate a  text pattern in the file and
  move backward to that page if the pattern is found. The search  is
  from the current line  to the first line  of the file, a  backward
  search. 
.s 2
.comment **help** .i -leftmargin; *SEARCHB
.i -5; SEARCHB (PF1 + "7")
.s 1
  The '7' key, when typed immediately after the PF1 key is  typed,
  does a search but from the current line to  the begining  of the
  file instead of to the end of the file. Entered as PF1 7 from the
  keypad.
.s 2
.comment **help** .i -leftmargin; *SWAPCHR
.i -5; SWAPCHR ("8")
.s 1
 By typing the 8 key, the character at
 the current cursor position will be swapped with the next one  if
 neither of them are line terminators.
.s 2
.comment **help** .i -leftmargin; *SWAPLIN
.i -5; SWAPLIN (PF1 + "8")
.s 1
 By typing the PF1 key and then typing the "8" key, the
 current line will be swapped with the next line of the
 file. It is an error if the current line is the last
 line in the file. Entered as GOLD 8.
.s 2
.comment **help** .i -leftmargin; *APPEND
.i -5; APPEND ("9")
.s 1
 The '9' key appends the current line to the paste buffer. This is
 the only way to store lines that are not adjacent into the  paste
 buffer. The "6" key as mentioned above will retrieve the text  in
 the paste buffer.
.s 2
.comment **help** .i -leftmargin; *SPCINS
.i -5; SPCINS (PF1 + "9")
.s 1
 Inserts the ASCII character whose value is given in the previous
 GOLD digits command. Entered as GOLD digits GOLD 9. See
 GOLD digits. 
.s 2
.comment **help** .i -leftmargin; *GOLD
.i -5; GOLD (PF1)
.s 1
 This is the key that switches other keys to their gold functions.
 It has a one shot effect, thus  it must always  be typed  just
 before the usual keypad key is typed. Entered as the PF1 key.
.s 2
.comment **help** .i -leftmargin; *PF2, CONTROL P, AND GOLD PF2
.i -5; PF2, CONTROL P, and GOLD PF2
.s 1
 Next page, reprint current page and previous page respectively.
.s 2
.comment **help** .i -leftmargin; *FNDNEXT
.i -5; FNDNEXT (PF3)
.s 1
FINDNEXT (PF3) does a search to the next occurance of a previous
 search string, moving the cursor  to sit on the  first character
 of the string found (if found).  The search is from  the current
 line and  cursor position  to the end  of the file.  The  search
 pattern can be loaded by using the  'FIND' command or  by typing
 GOLD ENTER.
.s 2
.comment **help** .i -leftmargin; *FIND
.i -5; FIND (PF1 + PF3)
.s 1
 FIND (GOLD PF3) finds  the next occurance  of a string  from the
 current line to the end of the file.
.s 2
.comment
.comment **help** .i -leftmargin; *DELETE_LINE
.i -5; DELETE_LINE (PF4)
.i -5; UNDELLINE (GOLD PF4)
.s 1
 Deletes the current line or word. DELLINE is the same as Control D.
 Undelete line (GOLD PF4) recovers the most recently deleted line.
 Delline can be modifed in two ways. The first is to enter a repeat
 count to delete N lines (or a * to delete to end of page). The other
 option is to start a select range (by typing the keypad key 3) and
 then moving down until you have moved past the last line to be
 deleted. Typing PF4 will then delete the entire range of lines.
.s 2
.comment **help** .i -leftmargin; *DELETE_WORD
.i -5; DELETE_WORD ("-")
.i -5; UNDELWORD (PF1 + "-")
.s 1
 Delword deletes up to the start of the next word. Undeleteword
 recovers the most recent delete.  If used at the end of the line,
 causes the next line to be merged at the end of the current line.
.s 2
.comment **help** .i -leftmargin; *DELETE_CHAR
.i -5; DELETE_CHAR (",")
.i -5; UNDELCH (PF1 + ",")
.s 1
 Same as rubout, except that at EOL, merges with the next line.
 UNDELCH restores the most recently deleted character. Entered
 as , or GOLD ,.
.s 2
.comment **help** .i -leftmargin; *REPLACE
.i -5; REPLACE ("ENTER")
.s 1
 Same as control N (_^N). Causes a search and replace for page.
.s 2
.comment **help** .i -leftmargin; *"."
.i -5; "."
.s 1
The dot key unshifted is a findnext and replace operation.
If there is no pervious search pattern one
will be prompted for, as well as for  the  replacement
text.   The  search  pattern is changed by GOLD ENTER.
The replacement text  pattern  is  set  by  GOLD  GOLD
ENTER.
.s 2
.comment **help** .i -leftmargin; *GOLD + "."
.i -5; GOLD + "."
.s 1
 Typing  this will cause all following characters to replace
 characters rather than to be inserted into the current line.
 This  is automatically disabled by any keypad command or by
 reaching eol. This command acts like a toggle. Entered as
 'PF1 .' on the keypad.
.s 2
.comment **help** .i -leftmargin; *GOLD A
.i -5; GOLD A
.s 1
 Typing PF1 and A will set the current left margin to the current 
 cursor position.
.s 2
.comment **help** .i -leftmargin; *GOLD D
.i -5; GOLD D
.s 1
 Typing PF1 and then D will cause the current select range to be saved
 and then deleted from the file.
.s 2
.comment **help** .i -leftmargin; *GOLD F
.i -5; GOLD F
.s 1
 Typing PF1 and then F will cause you to exit the editor.  It will prompt
 you for the output file (the same as the line editor END command) and
 then exit.
.s 2
.comment **help** .i -leftmargin; *GOLD G
.i -5; GOLD G
.s 1
 Typing PF1 and then G will insert a file starting at the current
 line.
.s 2
.comment **help** .i -leftmargin; *GOLD L
.i -5; GOLD L
.s 1
 Typing PF1 and then L will toggle you into and out of 'learn mode'.  While
 in learn mode, any commands you type are saved as a macro which can then 
 be executed by the _^E command.
.s 4
.comment **help** .i -leftmargin; *GOLD M
.i -5; GOLD M
.s 1
 This gets you into a small menu, where various parameters can be
 set.
.s 2
.comment **help** .i -leftmargin; *GOLD N
.i -5; GOLD N
.s 1
Gold N toggles the way which newlines (carriage returns) are
entered  into the  file you are editing.  When,  after typing
GOLD N, the message 'Auto breakline on <newline> enabled'  is
displayed,  you  will find  all new lines  inserted after the
current  line  (the one the cursor is on).  Additionally, the
line you were on will be broken at the cursor unless you were
at the start of the line, in which case the  new line will be
inserted in front of the current line.
Since GOLD N is a 'toggle mode' function, typing GOLD N again
will cause the text 'Auto breakline on <newline> disabled' in
which  case new line insertions start in front of the current
line.
.s 2
.comment **help** .i -leftmargin; *GOLD P
.i -5; GOLD P
.s 1
 This will fill the  current paragraph  (from the current line to
 the next blank line) out to the current right margin (fill). See
 Gold M  or control V  for setting the margin. The margin default
 is 72.
.s 2
.comment **help** .i -leftmargin; *GOLD Q
.i -5; GOLD Q
.s 1
 Typing Gold (PF1) and Q will queue the current select range out to
 the default line printer.
.s 2
.comment **help** .i -leftmargin; *GOLD R
.i -5; GOLD R
.S 1
 Typing Gold (PF1) and R will reverse the current line.
.s 2 
.comment **help** .i -leftmargin; *GOLD S
.i -5; GOLD S
.s 1
 This is the same as the SAVE command outside of the VT command.
.s 2
.comment **help** .i -leftmargin; *GOLD T
.i -5; GOLD T
.s 1
 Typing GOLD and then T will insert the current time and date into the
 file at the current cursor position.
.s 2
.comment **help** .i -leftmargin; *GOLD U
.i -5; GOLD U
.s 1
 Typing Gold (PF1) and U will erase (but not delete) the current line.
 This is different than the _^U command which erases from the current
 cursor position to the beginning of the line.
.S 2
.comment **help** .i -leftmargin; *GOLD V
.i -5; GOLD V
.s 1
Gold V will display all the saved page markers along with  the
text of the line that is (was) at that line number.  See  GOLD
GOLD Uparrow and GOLD GOLD Downarrow for more information.
.s 2
.comment **help** .i -leftmargin; *GOLD W
.i -5; GOLD W
.s 1
 This dumps the current 'select' range out to a disk file. The range
 of lines is determined by the starting line number which must be the
 line at which the 'cut' command was given (the '3' keypad key).
 The stopping line number is the current line, which is assumed to be
 greater than the starting line number. For example, to write lines
 100-130 out to the disk file 'JUNK.DAT' the following would be done:
.s 1
.nf
   1) Move to line 100, then type the '3' key (cut)
   2) Advance to the next page (PF2)
   3) Move  to line 130 with the downarrow
   4) Type PF1 and then 'W'
   5) For the 'FILE>' prompt, enter JUNK.DAT
      When completed, the cursor will be on line 130.
.f
.s 2
.comment **help** .i -leftmargin; *GOLD X
.i -5; GOLD X
.s 1
The GOLD X command loads a macro from the keyboard.  It is the
same as the CONTROL/X command, and must be used instead of the
CONTROL/X command on VMS systems.
.s 2
.comment **help** .i -leftmargin; *GOLD _[
.i -5; GOLD _[
.s 1
The GOLD _[ (gold leftbracket) sequence moves the cursor to the
start of the next paragraph.  See GOLD _] for more information.
.s 1
.comment **help** .i -leftmargin; *GOLD _]
.i -5; GOLD _]
.s 1
The GOLD _] (gold rightbracket) sequence moves the cursor to the
end of the current paragraph.  A paragraph starts at the first letter
following a space in column 1, or the first non-blank line after 
a blank line.
